<?php 

class Hello extends MY_Controller {
 
	function Hello() {
 
		parent::MY_Controller();
		// Check if the application has been added by the user
		try {
			if (!$this->facebook->api_client->users_isAppUser()) {
				$this->facebook->redirect($this->facebook->get_add_url());
				return;
			}
		}
		catch (Exception $x) {
			// Clear cookies for your application and redirect them to a login prompt
			$this->facebook->expire_session();
			$facebook->redirect($this->facebook->get_login_url());
		} 
	}
 
	// You should place your Controller's methods below.
        function index()
        {
                /* Obtiene informacion del usuario */
                $uid = $this->facebook->api_client->users_getLoggedInUser();
                $user_details = $this->facebook->api_client->users_getInfo($uid, 'last_name, first_name, pic');
                $data["nombre"] = $user_details[0]['first_name'];
                $data["apellido"] = $user_details[0]['last_name'];
                $data["foto"] = $user_details[0]['pic'];

                /* Obtiene informacion de sus contactos */
                $lista = $this->facebook->api_client->friends_get();
                $lista = array_slice($lista, 0, 5);
                $lista_contactos = array();
                foreach ($lista as $amigo) {
                    $foto_amigo = $this->facebook->api_client->users_getInfo($amigo, 'pic');
                    $url_foto = $foto_amigo[0]['pic'];
                    array_push($lista_contactos, $url_foto);
                }
                $data["lista_contactos"] = $lista_contactos;
                $this->load->view('hello', $data);
        }
 
}

?>
